this is still a draft

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Foreword
What started as a personal, private project back in early 2015, was released as an article by Martin Brinkmann at [ghacks](https://www.ghacks.net/) in August 2015. I never expected much to happen beyond the first article, but it did. The response from the ghacks community was great. I continued to keep it up-to-date and expand it. And along with suggestions from ghacks commentators, it has evolved and grown. But six monthly updates are problematic. So two years since I started, here we are at github, with all the obvious benefits that brings. I am excited about finally being here (it was talked about for a year), and looking forward to taking this to the next level with you all.

Thorin-Oakenpants, 31-Mar-2017

PS: With Martin Brinkmann's blessing, we are keeping the ghacks name.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) What does this aim to do?
This `user.js` is a template, which, as given, aims (with add-ons) to provide as much privacy and enhanced security as possible, and to reduce tracking and fingerprinting as much as possible - while minimizing any loss of functionality and site or UI breakage (but it will happen).

Here are some simple equations I wrote down to illustrate the simplicity between privacy, security, tracking, fingerprinting, website functionality, UI convenience, reality, and your own expectations. I *may* have had one Pan Galactic Gargle Blaster too many when I wrote that, but it made perfect sense at the time.

   * ![](https://raw.githubusercontent.com/ghacksuserjs/ghacks-user.js/master/wikipiki/readme01.png)

We aim to INFORM and give you CHOICES. No one size fits all, so customize it! And not all sites have the same requirements, so use profiles with custom versions. This `user.js` is a template, and we won't set you wrong.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Anything else I should know?
Something, something, something... oh yeah... INFORMATION IS POWER.

We want to empower you, so you can make informed decisions to better protect yourself online. To that end, we aim to be:

* Accessible (provide information and simpler, less-technical descriptions if possible)
* Accountable (provide reputable references/sources, tests, dispel bad advice)
* Change trackable (yay! we're on github now and we also do changelogs)
* Comprehensive (including enforcing defaults and future-proofing)
* Compatible (deprecated section, releases)
* Current and up-to-date with stable
* Detailed (preference versioning, hidden preference information, explanations, and more)
* Easy to use and discuss (sections, sub-sections, numbering)
* Helpful (including a great comprehensive wiki, and giving good advice)
* Innovative (best format ever!, special tags, and more)
* Other stuff... bound to have forgotten something

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) What's in the pipeline?
Nothing is ever set in concrete, but we have a few ideas. These include:
* Branches
   * preset versions such as "relaxed" and "hardened", for use in different profiles
   * an ESR version
* JS
   * providing the JS in smaller "modular" files
* Ramping up the wiki
   * Expanding heavily on the Scripts section
   * e10s and Web Extensions
   * Articles / Tutorials

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) How do I use this?
Everyone, experts included, should at least read the [Implementation](https://github.com/ghacksuserjs/ghacks-user.js/wiki/1.3-Implementation) wiki page, as it contains important information relating to a few default settings we use. The rest of the [Wiki](https://github.com/ghacksuserjs/ghacks-user.js/wiki) is super helpful as well.

### ![](https://github.com/ghacksuserjs/ghacks-user.js/blob/master/wikipiki/bullet01.png) Acknowledgments
It's impossible to acknowledge everyone - literally thousands of sources, references and suggestions. That said...

* Martin Brinkmann at [ghacks](https://www.ghacks.net/)
   * 100% genuine super-nice all-round good guy. Thanks buddy!
* The ghacks community and commentators
   * Special mentions to earthling, Tom Hawack, Just me, Conker, Rockin' Jerry, Ainatar, Parker Lewis
* [12bytes](http://12bytes.org/articles/tech/firefoxgecko-configuration-guide-for-privacy-and-performance-buffs)
   * The 12bytes article now uses this user.js and supplements it with an additonal JS hosted right [here](https://github.com/atomGit/Firefox-user.js) at github. Thanks atomGit!
* [pyllyukko's user.js](https://github.com/pyllyukko/user.js)
   * A similar project started in Dec 2014
